ENAMLCOMPILE(1)

NAME
enamlcompile - Byte compile Enaml source files

SYNOPSIS
enamlcompile [-V VERSION_RANGE] [-p PACKAGE] [DIR_OF_FILE]

DESCRIPTION
Wrapper around the "enaml.compile" module to byte-compile Enaml files.

OPTIONS

-h, --help
    Print a help message and exit

-v, --verbose
    Turn on verbose mode

-q, --quiet
    Be quiet

-f, --force
    Force the rebuild of the byte-code files, even if the files already exists

-p PACKAGE, --package=PACKAGE
    Specify Debian package name to whose files should be bytecompiled

-V VERSION_RANGE
    Force Enaml source files from private module directories to be bytecompiled with the Python 3 versions matching the given range, regardless of the default Python 3 version in the system.

    If there are no other options, bytecompile all Enaml source files from public module directories for the installed Python 3 versions that match the given range.

    VERSION_RANGE examples:

    3.1 version 3.1 only

    "3.1-"
        version 3.1 or newer

    "3.1-3.3"
        version 3.1 or 3.2

    -4.0
        all supported 3.X versions

EXAMPLES
  enamlcompile -p python3-foo

Byte-compile enaml files from package's public files. The Python version is automatically detected from the file path.

  enamlcompile -p python3-foo /usr/share/foo

Byte-compile enaml files form package's private files for all installed Python versions.

  enamlcompile -V 3.11 /usr/lib/python3/

Byte-compile all enaml files for Python 3.11.

  enamlcompile -V 3.9-3.11 /usr/lib/foo/bar.enaml

Byte-compile the given enaml file for Python 3.9 and Python 3.10 only.

  enamlcompile -V 3.9- /usr/lib/python3/

Byte-compile all enaml files for all installed Python version greater then 3.9.

AUTHOR
Alexander Sulfrian, 2025